import { BbNotification, BbNotificationAction } from './notifications.interfaces';
import { TemplateRef } from '@angular/core';
export declare class BbNotifications {
    private readonly _icons;
    private readonly _timeout;
    private readonly _dismiss;
    private _notifications$;
    readonly all: import("rxjs/internal/Observable").Observable<BbNotification[]>;
    success(content: string | TemplateRef<any>, actions?: BbNotificationAction[], timeout?: number): BbNotification;
    error(content: string | TemplateRef<any>, actions?: BbNotificationAction[], timeout?: number): BbNotification;
    warn(content: string | TemplateRef<any>, actions?: BbNotificationAction[], timeout?: number): BbNotification;
    info(content: string | TemplateRef<any>, actions?: BbNotificationAction[], timeout?: number): BbNotification;
    create(notification: BbNotification): BbNotification;
    private push;
    private pull;
    private compose;
}
